Rensei docs

Create a credential set in the org (org admin).

Create a credential set in the org (org admin). - Rensei REST API operation reference.

POST
/api/org/{orgId}/credential-sets

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Request Body

application/json
  1. body
name*string
Length1 <= length
description?string|null
projectId?|
Length1 <= length
visibleToProjectIds?array<>|null
makeDefault?boolean

Response Body

Credential set created.

application/json
  1. response
ok*boolean
set*
Example Request
curl -X POST 'https://app.rensei.ai/api/org/string/credential-sets' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "ok": true,  "set": {    "id": "string",    "orgId": "string",    "projectId": "string",    "visibleToProjectIds": [      "string"    ],    "name": "string",    "description": "string",    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string",    "property1": null,    "property2": null  }}